<!--detalle-cliente *ngIf="facturaSeleccionado" [cliente] ="facturaSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header">Estados de Pedidos </div>
  <p>Obs: vista de pedidos (vista para clientes) </p>

  <div class="card-body text-primary">
    <h5 class="card-title">Pedidos en Proceso</h5>
   
    <div *ngIf="facturas?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-striped table-hover table-bordered my-3" *ngIf="itemFactura?.length>0">
      <thead>
        <tr>
          <th>Nro Ticket</th>
          <th>Item </th>
          <th>Cliente</th>
          <th>Modo de Retiro</th>

          <th>Producto</th>
          <th>Cantidad</th>
          <th>Estado</th>


        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of itemFactura">
          <td *ngIf=" item.estado=='listo'  && item.producto.tipo!='almacen'" style="background-color:green; color:#FFF" >{{item.facturaId}}</td>
        
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.id}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='listo' && item.producto.tipo!='almacen'"  style="background-color:green; color:#FFF" >{{item.estado}}</td>
         


          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.facturaId}}</td>
         
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.id}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:yellow" >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='pendiente' && item.producto.tipo!='almacen'"  style="background-color:yellow" >{{item.estado}}</td>
         

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)" >{{item.facturaId}}</td>
          
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)" >{{item.id}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)" >{{item.nombre}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)"  >{{item.descripcion}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)">{{item.producto.nombre}}</td>
          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)" >{{item.cantidad}}</td>

          <td *ngIf=" item.estado=='en proceso' && item.producto.tipo!='almacen'"  style="background-color:rgb(55, 161, 223)" >{{item.estado}}</td>
         
        </tr>
      </tbody>
    </table>
  
  </div>
</div-->

<div class="card border-primary mb-3">
  <div class="card-header"><h5 class="card-title">Órdenes</h5> </div>
  <p>   &nbsp;&nbsp;  Obs: vista clientes </p>
  <div class="card-body text-primary">
    <h5 class="card-title">Pedidos</h5>
   
    <div *ngIf="facturas?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped" *ngIf="facturas?.length>0" style="font-size: 25px;text-align: center;">
      <thead>
        <tr   style="background-color:rgb(165, 143, 245); color:#FFF" >
          <th class="col-3">Nro Ticket</th>
          <th>Cliente</th>

          <th>Estado</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let factura of facturas">
          <td class="col-3" *ngIf=" factura.estado=='listo'"  style="background-color:rgb(96, 228, 96); color:#FFF">{{factura.id}}</td>
          <td *ngIf=" factura.estado=='listo'"  style="background-color:rgb(96, 228, 96); color:#FFF">{{factura.cliente.nombre}}</td>
          <td *ngIf=" factura.estado=='listo'"  style="background-color:rgb(96, 228, 96); color:#FFF">{{factura.estado}}</td>
          <td class="col-3" *ngIf=" factura.estado=='en proceso'"  style="background-color:rgb(250, 218, 75); color:#FFF">{{factura.id}}</td>
          <td *ngIf=" factura.estado=='en proceso'"  style="background-color:rgb(250, 218, 75); color:#FFF">{{factura.cliente.nombre}}</td>
          <td *ngIf=" factura.estado=='en proceso'"  style="background-color:rgb(250, 218, 75); color:#FFF">{{factura.estado}}</td>

        </tr>
      </tbody>
    </table>

  </div>
</div>